#!/bin/bash
script_dir=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)

if [ $# -ne 1 ]
then
    echo Usage $0 test-output-file
    exit 1
fi

cat $1 | sed -z -e 's/\(py_.* \[\)/ \[/g' | ${script_dir}/highlight_test_results.sh

if grep -q FAIL $1
then
    exit 1
fi
